# Uses of Enum
com.clickhouse.jdbc.parser.StatementType

Packages that use StatementType
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.parser

## Uses of StatementType in com.clickhouse.jdbc

Methods in com.clickhouse.jdbc with parameters of type StatementType
Modifier and Type
Method
Description
`ClickHouseSqlStatement`
JdbcParseHandler.`handleStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)`

## Uses of StatementType in com.clickhouse.jdbc.parser

Methods in com.clickhouse.jdbc.parser that return StatementType
Modifier and Type
Method
Description
`StatementType`
ClickHouseSqlStatement.`getStatementType()`
`static StatementType`
StatementType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StatementType[]`
StatementType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.clickhouse.jdbc.parser with parameters of type StatementType
Modifier and Type
Method
Description
`ClickHouseSqlStatement`
ParseHandler.`handleStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)`
Hanlde statemenet.
Constructors in com.clickhouse.jdbc.parser with parameters of type StatementType
Modifier
Constructor
Description
``
`ClickHouseSqlStatement(String sql, StatementType stmtType)`
``
`ClickHouseSqlStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)`